Skip to content
Agents
Fonts

Get Font Family

GET
/v1/fonts/families/{family_id}
curl --request GET \
--url https://agents.lumalabs.ai/v1/fonts/families/example \
--header 'Authorization: Bearer <token>'
family_id
required
Family Id
string

Successful Response

Media typeapplication/json
ClientFontFamily

One font family and its ready faces.

object
faces
required
Faces
Array<object>
ClientFontFace

One ready face, with a presigned download URL.

object
id
required
Id

A font_face:<uuid> ref.

string
is_variable
Is Variable
boolean
line_height_ratio
Any of:
number
name
required
Name
string
style
required
Style
string
url
required
Url
string
variation_axes
Any of:
Array<object>
FontAxisOut

One OpenType variation axis from an uploaded variable font.

object
default_value
required
Default Value
number
max_value
required
Max Value
number
min_value
required
Min Value
number
tag
required
Tag
string
weight
required
Weight
integer
id
required
Id

A font_family:<uuid> ref.

string
name
required
Name
string
normalized_family_name
required
Normalized Family Name
string
preview_face
required
ClientFontFace

One ready face, with a presigned download URL.

object
id
required
Id

A font_face:<uuid> ref.

string
is_variable
Is Variable
boolean
line_height_ratio
Any of:
number
name
required
Name
string
style
required
Style
string
url
required
Url
string
variation_axes
Any of:
Array<object>
FontAxisOut

One OpenType variation axis from an uploaded variable font.

object
default_value
required
Default Value
number
max_value
required
Max Value
number
min_value
required
Min Value
number
tag
required
Tag
string
weight
required
Weight
integer
scope_id
required
Any of:
string format: uuid
Example
{
"faces": [
{
"is_variable": false
}
],
"preview_face": {
"is_variable": false
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}